Debian Bug report logs - #607879
aufs: kernel BUG at .../mm/mmap.c:873

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: gringo_w@poczta.onet.pl

Date: Thu, 23 Dec 2010 14:27:02 UTC

Owned by: debian-live@lists.debian.org

Severity: normal

Found in version 2.6.32-28

Fixed in version linux-2.6/2.6.32-31

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#607879; Package kernel. (Thu, 23 Dec 2010 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gringo_w@poczta.onet.pl:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Thu, 23 Dec 2010 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gringo_w@poczta.onet.pl
To: submit@bugs.debian.org
Subject: System hangs up with mmap.c:873!
Date: Thu, 23 Dec 2010 15:24:01 +0100
[Message part 1 (text/plain, inline)]
Package: Kernel
Version: 2.6
I have Debian Linux SQUEEZE version 2.6.32-3-686 (Debian 2.6.32-9)  (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Thu Feb 25 06:14:20 UTC 2010 custimized on my own cd.
I had also the made the same cd on debian lenny version  and there wasn't any problem at all.
 
In Squeeze I've tested on a few pc's and had a same problem after few reboots system hangs up.Here is how to reproduce problem:
I've noticed that sometimes (very randomly after reboot)  when i log into console after typing password and confirm it , sometimes I must wait a few seconds to get the acces to console which is obviously abnormal, then when I look into var/log/kern.log file it gives a bug info  (every time the same on different pc's)  but i dont'know were to search the problem. Also after doing the reboot command when there is an error in kern.log file the systems stops few services and hangs up and only hard reset can help.Here is tail of the kern.log file:
 
Dec  7 12:16:26 wokanda1 kernel: [   24.817139] ------------[ cut here ]------------
Dec  7 12:16:26 wokanda1 kernel: [   24.817154] kernel BUG at /build/buildd-linux-2.6_2.6.32-28-i386-zIFx2J/linux-2.6-2.6.32/debian/build/source_i386_none/mm/mmap.c:873!
Dec  7 12:16:26 wokanda1 kernel: [   24.817166] invalid opcode: 0000 [#1] SMP
Dec  7 12:16:26 wokanda1 kernel: [   24.817175] last sysfs file: /sys/devices/virtual/vc/vcsa7/uevent
Dec  7 12:16:26 wokanda1 kernel: [   24.817182] Modules linked in: rfcomm sco l2cap crc16 bluetooth rfkill fuse snd_hda_codec_nvhdmi snd_hda_codec_realtek snd_hda_intel sg snd_hda_codec snd_hwdep snd_pcm snd_seq snd_timer snd_seq_device snd sr_mod shpchp cdrom wmi evdev joydev nvidia(P) pci_hotplug soundcore psmouse i2c_nforce2 pcspkr serio_raw snd_page_alloc i2c_core button processor usbhid hid squashfs loop aufs(C) nls_utf8 nls_cp437 vfat fat ide_generic ide_core usb_storage sd_mod crc_t10dif ahci ohci_hcd libata ehci_hcd thermal forcedeth thermal_sys scsi_mod usbcore nls_base [last unloaded: scsi_wait_scan]
Dec  7 12:16:26 wokanda1 kernel: [   24.817305]
Dec  7 12:16:26 wokanda1 kernel: [   24.817316] Pid: 2158, comm: console-kit-dae Tainted: P         C (2.6.32-5-686 #1) MCP79
Dec  7 12:16:26 wokanda1 kernel: [   24.817326] EIP: 0060:[<c109dc2c>] EFLAGS: 00010202 CPU: 0
Dec  7 12:16:26 wokanda1 kernel: [   24.817341] EIP is at find_mergeable_anon_vma+0xbd/0x14b
Dec  7 12:16:26 wokanda1 kernel: [   24.817349] EAX: ede63e18 EBX: ede63e30 ECX: ede63e18 EDX: ed03e9f8
Dec  7 12:16:26 wokanda1 kernel: [   24.817358] ESI: ed03e7e8 EDI: ed03e9f8 EBP: 00100073 ESP: eda39e80
Dec  7 12:16:26 wokanda1 kernel: [   24.817367]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Dec  7 12:16:26 wokanda1 kernel: [   24.817377] Process console-kit-dae (pid: 2158, ti=eda38000 task=ee823fc0 task.ti=eda38000)
Dec  7 12:16:26 wokanda1 kernel: [   24.817384] Stack:
Dec  7 12:16:26 wokanda1 kernel: [   24.817389]  ede76f00 f08bda3f ecc88ea0 b65f0000 ed03e7e8 00000000 ed03e7e8 00000000
Dec  7 12:16:26 wokanda1 kernel: [   24.817408] <0> ef96c700 c10a21d1 00000001 c1970e20 ed177b64 b65f0218 c1099619 b65f0218
Dec  7 12:16:26 wokanda1 kernel: [   24.817429] <0> ed03e7e8 ef96c700 00000001 b65d3000 00000200 c126ceff ed1b6b00 f08bd593
Dec  7 12:16:26 wokanda1 kernel: [   24.817451] Call Trace:
Dec  7 12:16:26 wokanda1 kernel: [   24.817488]  [<f08bda3f>] ? aufs_fault+0xf1/0xfb [aufs]
Dec  7 12:16:26 wokanda1 kernel: [   24.817503]  [<c10a21d1>] ? anon_vma_prepare+0x1d/0x8c
Dec  7 12:16:26 wokanda1 kernel: [   24.817514]  [<c1099619>] ? __do_fault+0xb2/0x3b1
Dec  7 12:16:26 wokanda1 kernel: [   24.817528]  [<c126ceff>] ? down_read+0x8/0x16
Dec  7 12:16:26 wokanda1 kernel: [   24.817558]  [<f08bd593>] ? si_read_lock+0x7b/0x83 [aufs]
Dec  7 12:16:26 wokanda1 kernel: [   24.817570]  [<c109b53b>] ? handle_mm_fault+0x48f/0x959
Dec  7 12:16:26 wokanda1 kernel: [   24.817578]  [<c109e792>] ? vma_link+0x4e/0x68
Dec  7 12:16:26 wokanda1 kernel: [   24.817586]  [<c109fa8e>] ? mmap_region+0x328/0x444
Dec  7 12:16:26 wokanda1 kernel: [   24.817595]  [<c126f2a0>] ? do_page_fault+0x2f1/0x307
Dec  7 12:16:26 wokanda1 kernel: [   24.817603]  [<c126efaf>] ? do_page_fault+0x0/0x307
Dec  7 12:16:26 wokanda1 kernel: [   24.817610]  [<c126d803>] ? error_code+0x73/0x78
Dec  7 12:16:26 wokanda1 kernel: [   24.817615] Code: c8 eb 13 8b 50 0c 85 d2 74 14 8b 4c 24 0c 3b 4a 08 72 0b 8b 5b 04 89 c1 85 db 75 d4 eb 02 89 c1 85 c9 74 03 8b 79 0c 39 f7 74 04 <0f> 0b eb fe 85 c9 74 49 8b 41 3c 8b 5f 14 8b 69 14 85 c0 89 44
Dec  7 12:16:26 wokanda1 kernel: [   24.817694] EIP: [<c109dc2c>] find_mergeable_anon_vma+0xbd/0x14b SS:ESP 0068:eda39e80
Dec  7 12:16:26 wokanda1 kernel: [   24.817707] ---[ end trace 25e4f973f029f5bf ]---
Dec  7 12:16:27 wokanda1 kernel: [   25.700076] [drm] Initialized drm 1.1.0 20060810
Dec  7 12:25:00 wokanda1 kernel: [  538.368945] eth0: link up.
Dec  7 12:25:00 wokanda1 kernel: [  538.370087] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Dec  7 12:27:58 wokanda1 kernel: [  715.992030] usb 1-3: new high speed USB device using ehci_hcd and address 2
Dec  7 12:27:58 wokanda1 kernel: [  716.136468] usb 1-3: New USB device found, idVendor=0930, idProduct=6544
Dec  7 12:27:58 wokanda1 kernel: [  716.136544] usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Dec  7 12:27:58 wokanda1 kernel: [  716.136614] usb 1-3: Product: DT 101 G2      
Dec  7 12:27:58 wokanda1 kernel: [  716.136680] usb 1-3: Manufacturer: Kingston
Dec  7 12:27:58 wokanda1 kernel: [  716.136746] usb 1-3: SerialNumber: 001CC0EC31D0C080960706F3
Dec  7 12:27:58 wokanda1 kernel: [  716.137031] usb 1-3: configuration #1 chosen from 1 choice
Dec  7 12:27:58 wokanda1 kernel: [  716.137581] scsi7 : SCSI emulation for USB Mass Storage devices
Dec  7 12:28:03 wokanda1 kernel: [  721.137799] scsi 7:0:0:0: Direct-Access     Kingston DT 101 G2        1.00 PQ: 0 ANSI: 2
Dec  7 12:28:03 wokanda1 kernel: [  721.138977] sd 7:0:0:0: Attached scsi generic sg2 type 0
Dec  7 12:28:03 wokanda1 kernel: [  721.140075] sd 7:0:0:0: [sdb] 3913664 512-byte logical blocks: (2.00 GB/1.86 GiB)
Dec  7 12:28:03 wokanda1 kernel: [  721.141694] sd 7:0:0:0: [sdb] Write Protect is off
Dec  7 12:28:03 wokanda1 kernel: [  721.141853] sd 7:0:0:0: [sdb] Assuming drive cache: write through
Dec  7 12:28:03 wokanda1 kernel: [  721.147683] sd 7:0:0:0: [sdb] Assuming drive cache: write through
Dec  7 12:28:03 wokanda1 kernel: [  721.147772]  sdb: sdb1
Dec  7 12:28:03 wokanda1 kernel: [  721.151783] sd 7:0:0:0: [sdb] Assuming drive cache: write through
Dec  7 12:28:03 wokanda1 kernel: [  721.151868] sd 7:0:0:0: [sdb] Attached SCSI removable disk
Dec  7 12:28:04 wokanda1 kernel: [  722.376060] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
 
 
Aftrer many days spended on finding solution i've give up. Any help would be appreciated .
 
Ps. Last test was to unload all nvidia drivers from customized cd and testing on intel graphics card. So far looks good but what about nvidia gpu ?
[Message part 2 (text/html, inline)]

Bug reassigned from package 'kernel' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 23 Dec 2010 19:42:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 23 Dec 2010 19:42:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-28. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 23 Dec 2010 19:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Thu, 23 Dec 2010 19:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Dec 2010 19:51:08 GMT) Full text and rfc822 format available.

Message #16 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: gringo_w@poczta.onet.pl, 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Thu, 23 Dec 2010 19:48:45 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-12-23 at 15:24 +0100, gringo_w@poczta.onet.pl wrote:
> Package: Kernel
> Version: 2.6
> 
> I have Debian Linux SQUEEZE version 2.6.32-3-686 (Debian 2.6.32-9)
>  (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Thu Feb 25 06:14:20 UTC
> 2010 custimized on my own cd.
> I had also the made the same cd on debian lenny version  and there
> wasn't any problem at all.

2.6.32-9 is way outdated and you should no longer use it.  However, the
messages below indicate you were actually running 2.6.32-28 (almost the
latest).

> In Squeeze I've tested on a few pc's and had a same problem after few
> reboots system hangs up.Here is how to reproduce problem:
> I've noticed that sometimes (very randomly after reboot)  when i log
> into console after typing password and confirm it , sometimes I must
> wait a few seconds to get the acces to console which is obviously
> abnormal, then when I look into var/log/kern.log file it gives a bug
> info  (every time the same on different pc's)  but i dont'know were to
> search the problem. Also after doing the reboot command when there is
> an error in kern.log file the systems stops few services and hangs up
> and only hard reset can help.Here is tail of the kern.log file:
>  
> Dec  7 12:16:26 wokanda1 kernel: [   24.817139] ------------[ cut
> here ]------------
> Dec  7 12:16:26 wokanda1 kernel: [   24.817154] kernel BUG
> at /build/buildd-linux-2.6_2.6.32-28-i386-zIFx2J/linux-2.6-2.6.32/debian/build/source_i386_none/mm/mmap.c:873!
> Dec  7 12:16:26 wokanda1 kernel: [   24.817166] invalid opcode: 0000
> [#1] SMP 
> Dec  7 12:16:26 wokanda1 kernel: [   24.817175] last sysfs
> file: /sys/devices/virtual/vc/vcsa7/uevent
> Dec  7 12:16:26 wokanda1 kernel: [   24.817182] Modules linked in:
> rfcomm sco l2cap crc16 bluetooth rfkill fuse snd_hda_codec_nvhdmi
> snd_hda_codec_realtek snd_hda_intel sg snd_hda_codec snd_hwdep snd_pcm
> snd_seq snd_timer snd_seq_device snd sr_mod shpchp cdrom wmi evdev
> joydev nvidia(P) pci_hotplug soundcore psmouse i2c_nforce2 pcspkr
> serio_raw snd_page_alloc i2c_core button processor usbhid hid squashfs
> loop aufs(C) nls_utf8 nls_cp437 vfat fat ide_generic ide_core
> usb_storage sd_mod crc_t10dif ahci ohci_hcd libata ehci_hcd thermal
> forcedeth thermal_sys scsi_mod usbcore nls_base [last unloaded:
> scsi_wait_scan]

I won't investigate this unless it is reproducible without nvidia and
aufs.

[...]
> Ps. Last test was to unload all nvidia drivers from customized cd and
> testing on intel graphics card. So far looks good but what about
> nvidia gpu ?

nouveau seems to provide 2D functionality.  For 3D acceleration, you are
out of luck.  Blame Nvidia for not working with the Linux community.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Sun, 26 Dec 2010 14:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Dec 2010 14:06:05 GMT) Full text and rfc822 format available.

Message #21 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Grzegorz Wyrobek <w.gringo@gmail.com>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sun, 26 Dec 2010 11:35:21 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-12-23 at 22:41 +0100, Grzegorz Wyrobek wrote:
> 
>         > Ps. Last test was to unload all nvidia drivers from
>         customized cd and
>         > testing on intel graphics card. So far looks good but what
>         about
>         > nvidia gpu ?
>         
>         nouveau seems to provide 2D functionality.  For 3D
>         acceleration, you are
>         out of luck.  Blame Nvidia for not working with the Linux
>         community.
> 
> Thank you for fast reply.
> As I mentioned on the begginning the problem shows up on different
> pc's - even on that with intel card.

You originally said it *didn't* show up with an Intel card.

> The last test was prepared on pc with intel card to make sure that
> this is not a nvidia problem and after 2 hours of promising tests it
> shows the same bad behavior !
> Aufs is needed because it is live system so it must be used or maybe
> there is a better alternative ?
[...]

aufs is a horrible hack; we added it to the kernel package to let Debian
Live work but we don't encourage anyone to use it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Sun, 26 Dec 2010 15:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Dec 2010 15:30:04 GMT) Full text and rfc822 format available.

Message #26 received at 607879@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: gringo_w@poczta.onet.pl
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sun, 26 Dec 2010 17:27:46 +0200
gringo_w@poczta.onet.pl writes:
> Dec  7 12:16:26 wokanda1 kernel: [   24.817488]  [<f08bda3f>] ? aufs_fault+0xf1/0xfb [aufs]

Hmm, how are you using aufs? (I have never used it so I don't even
know how to set it up to test anything...)







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Mon, 27 Dec 2010 12:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz Wyrobek <w.gringo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Dec 2010 12:27:07 GMT) Full text and rfc822 format available.

Message #31 received at 607879@bugs.debian.org (full text, mbox):

From: Grzegorz Wyrobek <w.gringo@gmail.com>
To: "607879@bugs.debian.org" <607879@bugs.debian.org>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Mon, 27 Dec 2010 13:23:46 +0100
[Message part 1 (text/plain, inline)]
So it appears that the aufs is the problem ?
We need to use aufs because it is Live system (squashfs).

When the Linux 2.6.36-2.dmz.5-liquorix-686 #1 was used the problem doesn't
exists ! Unfortunelly we cannont use that kernel.
So I'm looking forward to fix this bug.
We are going to make test ISO tomorrow for you.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Mon, 27 Dec 2010 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Dec 2010 13:57:03 GMT) Full text and rfc822 format available.

Message #36 received at 607879@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Grzegorz Wyrobek <w.gringo@gmail.com>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Mon, 27 Dec 2010 15:52:10 +0200
Grzegorz Wyrobek <w.gringo@gmail.com> writes:
> So I'm looking forward to fix this bug.
> We are going to make test ISO tomorrow for you.

If the ISO includes non-free nvidia drivers then I don't think I want
to test it either. Are you creating them with live-helper?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Tue, 28 Dec 2010 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Dec 2010 11:12:03 GMT) Full text and rfc822 format available.

Message #41 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Tue, 28 Dec 2010 12:09:28 +0100
[Message part 1 (text/plain, inline)]
I can confirm this bug.
I created a Debian Live system based on Squeeze and on many machines the 
system just hangs when shutting down.

My latest test was on a Dell Optiplex SX280. I will attach the entries in 
kern.log and the output of lspci on this system.
[lspci.txt (text/plain, attachment)]
[kern.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Tue, 28 Dec 2010 11:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Dec 2010 11:27:02 GMT) Full text and rfc822 format available.

Message #46 received at 607879@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Ronny Standtke <Ronny.Standtke@gmx.net>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Tue, 28 Dec 2010 13:24:17 +0200
Ronny Standtke <Ronny.Standtke@gmx.net> writes:
> I can confirm this bug.
> I created a Debian Live system based on Squeeze and on many machines the 
> system just hangs when shutting down.
>
> My latest test was on a Dell Optiplex SX280. I will attach the entries in 
> kern.log and the output of lspci on this system.

ok, does it happen if you boot the livecd under qemu?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Tue, 28 Dec 2010 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lukasz Szotek <szotman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Dec 2010 18:33:04 GMT) Full text and rfc822 format available.

Message #51 received at 607879@bugs.debian.org (full text, mbox):

From: Lukasz Szotek <szotman@gmail.com>
To: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Tue, 28 Dec 2010 19:30:39 +0100
[Message part 1 (text/plain, inline)]
I can confirm this bug too.
It happens under VirtualBox and 2 testing PCs.

But I think I managed to solve this problem for me.
After I removed package 'console-kit-dae' it looks stable.
So I think this is problem with console-kit-dae or console-kit-dae+aufs.
[kern.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Tue, 28 Dec 2010 20:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz Wyrobek <w.gringo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Dec 2010 20:51:07 GMT) Full text and rfc822 format available.

Message #56 received at 607879@bugs.debian.org (full text, mbox):

From: Grzegorz Wyrobek <w.gringo@gmail.com>
To: 607879@bugs.debian.org
Subject: Fwd: Bug#607879: System hangs up with mmap.c:873!
Date: Tue, 28 Dec 2010 21:49:05 +0100
[Message part 1 (text/plain, inline)]
> Are you creating them with live-helper?

No.

> After I removed package 'console-kit-dae' it looks stable.

So it will be checked.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Wed, 29 Dec 2010 14:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Dec 2010 14:30:07 GMT) Full text and rfc822 format available.

Message #61 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Wed, 29 Dec 2010 15:27:12 +0100
> ok, does it happen if you boot the livecd under qemu?

I just tested it. Booting the DVD ISO in qemu took more than 20 minutes to get 
to a console prompt. My usual setting is Debian Live on a USB flash drive with 
a "live-rw" persistency partition. This setup boots from the USB flash drive 
in around 50 seconds on my machine.

Starting up KDE did not finish in the qemu test (I stopped it after 40 
minutes). Shutting down in qemu took almost three minutes, in my usual setting 
it takes around ten seconds.

I did not experience the system hang in this one single qemu test run (I also 
do not run into the system hangup on real hardware all the time) but I fail to 
see the value in retrying with quemu as it is slow beyond repair. We better 
test with real hardware and real scenarios.

Best regards

Ronny




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Wed, 29 Dec 2010 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Dec 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #66 received at 607879@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Ronny Standtke <Ronny.Standtke@gmx.net>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Wed, 29 Dec 2010 20:08:26 +0200
Ronny Standtke <Ronny.Standtke@gmx.net> writes:
> I just tested it. Booting the DVD ISO in qemu took more than 20 minutes to get 

How much RAM did you assign to the virtualized machine? I think the
default is 128MB.

> I did not experience the system hang in this one single qemu test run (I also 
> do not run into the system hangup on real hardware all the time) but I fail to 
> see the value in retrying with quemu as it is slow beyond repair. We better 
> test with real hardware and real scenarios.

Sure, I was just asking if there would be something I could easily
test here. I don't have a machine with cdrom drive easily accessible
(my work machine is a geode, my laptop does not have cdrom and my home
machine is in a closet to make it more quiet...)

-Timo






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Thu, 30 Dec 2010 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 30 Dec 2010 07:30:03 GMT) Full text and rfc822 format available.

Message #71 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Thu, 30 Dec 2010 08:26:57 +0100
> How much RAM did you assign to the virtualized machine? I think the
> default is 128MB.

I gave the virtual machine 800 MB RAM on a host with 2 GB RAM.

> Sure, I was just asking if there would be something I could easily
> test here. I don't have a machine with cdrom drive easily accessible
> (my work machine is a geode, my laptop does not have cdrom and my home
> machine is in a closet to make it more quiet...)

If your machines can boot from USB flash drives you can download the Debian 
Live version we created for Swiss schools (follow the download link on the 
webpage to download the Debian 6 version):
http://www.imedias.ch/lernstick/lernstick_en

Just boot the DVD in your home machine, the installer starts up automatically 
and makes producing a Debian Live USB flash drive a breeze. Then you can test 
on any machine that can boot from USB.

Regards

Ronny




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607879; Package linux-2.6. (Sun, 02 Jan 2011 23:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 02 Jan 2011 23:18:06 GMT) Full text and rfc822 format available.

Message #76 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Lukasz Szotek <szotman@gmail.com>, Grzegorz Wyrobek <w.gringo@gmail.com>, Ronny Standtke <Ronny.Standtke@gmx.net>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sun, 02 Jan 2011 23:16:16 +0000
[Message part 1 (text/plain, inline)]
The Debian kernel team really doesn't like to support aufs; we include
it only to support Debian Live.  Therefore I'm passing this bug over to
the Debian Live maintainers.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Owner recorded as debian-live@lists.debian.org. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 02 Jan 2011 23:18:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'aufs: kernel BUG at .../mm/mmap.c:873' from 'System hangs up with mmap.c:873! ' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 02 Jan 2011 23:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Fri, 14 Jan 2011 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Fri, 14 Jan 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #85 received at 607879@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Ronny Standtke <Ronny.Standtke@gmx.net>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sat, 15 Jan 2011 00:14:42 +0200
Ronny Standtke <Ronny.Standtke@gmx.net> writes:
> Just boot the DVD in your home machine, the installer starts up automatically 
> and makes producing a Debian Live USB flash drive a breeze. Then you can test 
> on any machine that can boot from USB.

Well I don't have any DVDs and the cdrom drive is not easily
accessible. I tried booting

http://www.imedias.ch/dateien/lernstick-testversion/lernstick_debian5_2010-11-09.iso

with xen configuration

name = 'lernstick'
vcpus = '1'
memory = '1024'
kernel = '/usr/lib/xen/boot/hvmloader'
builder = 'hvm'
device_model='/usr/lib/xen/bin/qemu-dm'
disk = [ 'file:/local/xen/lernstick/lernstick_debian5_2010-11-09.iso,hdc:cdrom,r',
         'file:/local/xen/lernstick/usb.img,hda,w' ]
vif = [ 'bridge=eth0,mac=52:54:00:12:35:11' ]
vnc=1
vnclisten='0.0.0.0'
vncdisplay=22
vncpasswd='secret'
keymap='sv'
usbdevice='tablet'
localtime=1
boot = 'd'

but it gives me an error message in german and does not let me
copy&paste it :-) It seems to not recognize my empty usb.img as an usb
stick.

I tried creating partition with fdisk and filesystem with mkfs.vfat
but it still can't recognize it as an usb stick.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Fri, 14 Jan 2011 22:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Fri, 14 Jan 2011 22:33:06 GMT) Full text and rfc822 format available.

Message #90 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Fri, 14 Jan 2011 23:31:36 +0100
> I tried booting
> http://www.imedias.ch/dateien/lernstick-testversion/lernstick_debian5_2010-
> 11-09.iso

The bug does not happen with Debian 5. Please use the latest Debian 6 version, 
e.g.
http://www.imedias.ch/dateien/lernstick-
testversion/lernstick_debian6_2011-01-11.iso

> but it gives me an error message in german and does not let me
> copy&paste it :-)

In the Debian 5 version you used, you could have switched the system locale by 
pressing the F1 button in the syslinux gfxboot screen.
Unfortunately, the gfxboot screen is not yet available in the Debian 6 
version. You can switch the system locale by pressing TAB in the syslinux menu 
and replace "de_CH" with "en_US" to get an English system.

> It seems to not recognize my empty usb.img as an usb stick.

Unfortunately, I do not know anything about xen...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Sat, 15 Jan 2011 13:27:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Sat, 15 Jan 2011 13:27:16 GMT) Full text and rfc822 format available.

Message #95 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: 607879@bugs.debian.org
Cc: debian-kernel@lists.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sat, 15 Jan 2011 14:26:18 +0100
I contacted the Debian Live maintainers about this bug, who in turn asked me 
to contact upstream. The aufs developers stated that the aufs version in 
Debian Live is too old and obsoleted and should be updated, see here:

https://sourceforge.net/mailarchive/message.php?msg_id=26901616

I informed the Debian Live maintainers about that, who in turn again pointed 
to the Debian kernel team, see here:

http://lists.debian.org/debian-live/2011/01/msg00100.html

This pushing around gets somewhat exhausting. I would be pleased if all 
involved parties (Debian kernel team, Debian Live maintainers, aufs 
developers) could cooperate in fixing this bug instead of working against or 
ignoring each other.

Thanks a lot

Ronny




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Sat, 15 Jan 2011 14:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Sat, 15 Jan 2011 14:33:09 GMT) Full text and rfc822 format available.

Message #100 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ronny Standtke <Ronny.Standtke@gmx.net>, Daniel Baumann <daniel@debian.org>
Cc: 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sat, 15 Jan 2011 14:29:01 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2011-01-15 at 14:26 +0100, Ronny Standtke wrote:
> I contacted the Debian Live maintainers about this bug, who in turn asked me 
> to contact upstream. The aufs developers stated that the aufs version in 
> Debian Live is too old and obsoleted and should be updated, see here:
> 
> https://sourceforge.net/mailarchive/message.php?msg_id=26901616
> 
> I informed the Debian Live maintainers about that, who in turn again pointed 
> to the Debian kernel team, see here:
> 
> http://lists.debian.org/debian-live/2011/01/msg00100.html
> 
> This pushing around gets somewhat exhausting. I would be pleased if all 
> involved parties (Debian kernel team, Debian Live maintainers, aufs 
> developers) could cooperate in fixing this bug instead of working against or 
> ignoring each other.

Sorry about this.

As I said before, aufs is included in the kernel package for use in
Debian Live.  The kernel team does not support aufs beyond this.  I
consider it the responsibility of the Debian Live maintainers to let us
know when bug fixes are needed for aufs.  So, Daniel, please identify
the bug fix we need.  If you think we need to make a wholesale update to
aufs, please clear this with the release team.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Sat, 15 Jan 2011 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Sat, 15 Jan 2011 14:39:03 GMT) Full text and rfc822 format available.

Message #105 received at 607879@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Ronny Standtke <Ronny.Standtke@gmx.net>, 607879@bugs.debian.org
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sat, 15 Jan 2011 15:36:47 +0100
On 01/15/2011 03:29 PM, Ben Hutchings wrote:
> Daniel, please identify the bug fix we need.

http://lists.debian.org/debian-live/2011/01/msg00093.html

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Sat, 15 Jan 2011 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Sat, 15 Jan 2011 14:45:06 GMT) Full text and rfc822 format available.

Message #110 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel@debian.org, 607879@bugs.debian.org
Cc: Ronny Standtke <Ronny.Standtke@gmx.net>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sat, 15 Jan 2011 14:42:30 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2011-01-15 at 15:36 +0100, Daniel Baumann wrote:
> On 01/15/2011 03:29 PM, Ben Hutchings wrote:
> > Daniel, please identify the bug fix we need.
> 
> http://lists.debian.org/debian-live/2011/01/msg00093.html

Well, we might as well just remove aufs then.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Sat, 15 Jan 2011 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Sat, 15 Jan 2011 17:12:03 GMT) Full text and rfc822 format available.

Message #115 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel@debian.org
Cc: 607879@bugs.debian.org, Ronny Standtke <Ronny.Standtke@gmx.net>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sat, 15 Jan 2011 17:09:31 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2011-01-15 at 14:42 +0000, Ben Hutchings wrote:
> On Sat, 2011-01-15 at 15:36 +0100, Daniel Baumann wrote:
> > On 01/15/2011 03:29 PM, Ben Hutchings wrote:
> > > Daniel, please identify the bug fix we need.
> > 
> > http://lists.debian.org/debian-live/2011/01/msg00093.html
> 
> Well, we might as well just remove aufs then.

(No, that's not serious.)

The attached patch series might deal with this bug.  These patches are
simply cherry-picked from aufs upstream and modified as necessary to
compile.  I leave any further building and testing to you.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[0001-Revert-aufs-narrow-down-the-BKL-region.patch (text/x-patch, attachment)]
[0002-Revert-aufs-bugfix-unlock-mmap_sem-temporary-using-B.patch (text/x-patch, attachment)]
[0003-aufs-bugfix-another-approach-to-keep-the-lock-order-.patch (text/x-patch, attachment)]
[0004-aufs-bugfix-separate-the-workqueue-for-preprocessing.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Sat, 22 Jan 2011 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Sat, 22 Jan 2011 21:42:03 GMT) Full text and rfc822 format available.

Message #120 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: daniel@debian.org, 607879@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sat, 22 Jan 2011 22:40:06 +0100
> The attached patch series might deal with this bug.  These patches are
> simply cherry-picked from aufs upstream and modified as necessary to
> compile.  I leave any further building and testing to you.

Thank you very much for the patch series. Sorry for being such a newbie but 
how do I deal with this patch series? Here is what I tried:
-----------
apt-get source linux-image-2.6.32-5-686
cd linux-2.6-2.6.32/
# copying your patch series to the (hopefully) correct place
cp ../000* debian/patches/features/all/aufs2/
# adding your patch series at the end of the aufs block
vi debian/patches/series/base
fakeroot make -f debian/rules.gen binary-arch_i386_none_686
-----------

This failed with the following error output:
...
--> Try to apply base.
  (+) OK   debian/version.patch
  (+) OK   debian/kernelvariables.patch
  (+) OK   debian/doc-build-parallel.patch
  (+) OK   debian/scripts-kconfig-reportoldconfig.patch
  (+) OK   debian/arch-mips-not-embedded.patch
  (+) OK   debian/drivers-ata-ata_piix-postpone-pata.patch
  (+) OK   debian/drivers-ata-pata_sis-postpone-pata.patch
  (+) OK   features/all/drivers-infiniband-hw-ipath-iba7220-use-
request_firmware.patch
  (+) OK   features/all/drivers-media-dvb-usb-af9005-request_firmware.patch
  (+) OK   features/all/drivers-staging-rt28x0sta-request_firmware.patch
  (+) OK   features/all/export-unionfs-symbols.patch
  (+) OK   features/all/lgs8gxx-lgs8g75-request_firmware.patch
  (+) OK   features/all/r8169-init-phy-return-error.patch
  (+) OK   features/all/r8169-rtl8168d-1-2-request_firmware.patch
  (+) OK   features/all/sound-pci-cs46xx-request_firmware.patch
  (+) OK   features/all/aufs2/aufs2-base.patch
  (+) OK   features/all/aufs2/aufs2-standalone.patch
  (+) OK   features/all/aufs2/aufs2-kbuild.patch
  (+) OK   features/all/aufs2/aufs2-add.patch
  (+) OK   features/all/aufs2/mark-as-staging.patch
2 out of 3 hunks FAILED -- saving rejects to file fs/aufs/f_op.c.rej
  (+) FAIL features/all/aufs2/0001-Revert-aufs-narrow-down-the-BKL-
region.patch
Error: Patch failed
make[1]: *** [debian/stamps/source] Error 1
make[1]: Leaving directory `/root/linux-2.6-2.6.32'
make: *** [binary-arch_i386_none_686_real] Error 2

Can you please give some simple instructions how to create a new kernel 
package that includes your patch series?

Thank you very much!

Ronny




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Sun, 23 Jan 2011 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Sun, 23 Jan 2011 02:33:03 GMT) Full text and rfc822 format available.

Message #125 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ronny Standtke <Ronny.Standtke@gmx.net>
Cc: daniel@debian.org, 607879@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sun, 23 Jan 2011 12:29:26 +1000
[Message part 1 (text/plain, inline)]
On Sat, 2011-01-22 at 22:40 +0100, Ronny Standtke wrote:
[...]
> Can you please give some simple instructions how to create a new kernel 
> package that includes your patch series?
[...]

See
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official> - in particular, section 4.2.5, Simplified patching and building.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Sun, 23 Jan 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Sun, 23 Jan 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #130 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: debian-live@lists.debian.org, Ben Hutchings <ben@decadent.org.uk>, 607879@bugs.debian.org
Cc: daniel@debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Sun, 23 Jan 2011 09:18:02 +0100
> See
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-off
> icial> - in particular, section 4.2.5, Simplified patching and building.

OK, here is what I tried now:
-------------
apt-get source linux-image-2.6.32-5-686
cd linux-2.6-2.6.32
bash debian/bin/test-patches ../000*
-------------

Unfortunately, this fails with the following error message:
...
--> 30 fully applied.
--> Try to apply 30a~test.
  (+) OK   test/0001-Revert-aufs-narrow-down-the-BKL-region.patch
  (+) OK   test/0002-Revert-aufs-bugfix-unlock-mmap_sem-temporary-using-
B.patch
patch: **** malformed patch at line 182: @@ -630,25 +698,22 @@ static int 
aufs_mmap(struct file *file, struct vm_area_struct *vma)

  (+) FAIL test/0003-aufs-bugfix-another-approach-to-keep-the-lock-
order-.patch
Error: Patch failed
make[2]: *** [debian/stamps/source] Error 1
make[2]: Leaving directory `/root/linux-2.6-2.6.32'
make[1]: *** [source_i386_none_real] Error 2
make[1]: Leaving directory `/root/linux-2.6-2.6.32'
make: *** [debian/stamps/source-base] Error 2

Is there anything else that I need to do or is the patch really malformed?

Ronny




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Mon, 24 Jan 2011 01:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Mon, 24 Jan 2011 01:45:07 GMT) Full text and rfc822 format available.

Message #135 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ronny Standtke <Ronny.Standtke@gmx.net>, 607879@bugs.debian.org
Cc: debian-live@lists.debian.org, daniel@debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Mon, 24 Jan 2011 11:40:55 +1000
[Message part 1 (text/plain, inline)]
On Sun, 2011-01-23 at 09:18 +0100, Ronny Standtke wrote:
> > See
> > <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-off
> > icial> - in particular, section 4.2.5, Simplified patching and building.
> 
> OK, here is what I tried now:
> -------------
> apt-get source linux-image-2.6.32-5-686
> cd linux-2.6-2.6.32
> bash debian/bin/test-patches ../000*
> -------------
> 
> Unfortunately, this fails with the following error message:
> ...
> --> 30 fully applied.
> --> Try to apply 30a~test.
>   (+) OK   test/0001-Revert-aufs-narrow-down-the-BKL-region.patch
>   (+) OK   test/0002-Revert-aufs-bugfix-unlock-mmap_sem-temporary-using-
> B.patch
> patch: **** malformed patch at line 182: @@ -630,25 +698,22 @@ static int 
> aufs_mmap(struct file *file, struct vm_area_struct *vma)
> 
>   (+) FAIL test/0003-aufs-bugfix-another-approach-to-keep-the-lock-
[...]

Not sure how I did that, but try this version of patch 3 instead.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[0003-aufs-bugfix-another-approach-to-keep-the-lock-order-.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Tue, 25 Jan 2011 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Tue, 25 Jan 2011 20:39:03 GMT) Full text and rfc822 format available.

Message #140 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: debian-live@lists.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, 607879@bugs.debian.org, daniel@debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Tue, 25 Jan 2011 21:34:21 +0100
> Not sure how I did that, but try this version of patch 3 instead.

Thanks, building the package works now. Unfortunately, the resulting package 
is not installable because its dependencies seem to be broken:

-------------------
# dpkg -i linux-image-2.6.32-5-686_2.6.32-30a~test_i386.deb 
(Reading database ... 166017 files and directories currently installed.)
Preparing to replace linux-image-2.6.32-5-686 2.6.32-30a~test (using linux-
image-2.6.32-5-686_2.6.32-30a~test_i386.deb) ...
Unpacking replacement linux-image-2.6.32-5-686 ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 2.6.32-5-686 
/boot/vmlinuz-2.6.32-5-686
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 2.6.32-5-686 
/boot/vmlinuz-2.6.32-5-686
dpkg: dependency problems prevent configuration of linux-image-2.6.32-5-686:
 linux-image-2.6.32-5-686 depends on linux-base (>= 2.6.32-30a~test); however:
  Version of linux-base on system is 2.6.32-30.
dpkg: error processing linux-image-2.6.32-5-686 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-2.6.32-5-686
-------------------

The dependency on linux-base (>= 2.6.32-30a~test) looks like the build script 
is too eagerly replacing version strings. Can you give another hint or an 
updated build script, please?

Ronny




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Tue, 25 Jan 2011 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Tue, 25 Jan 2011 21:45:06 GMT) Full text and rfc822 format available.

Message #145 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ronny Standtke <Ronny.Standtke@gmx.net>
Cc: debian-live@lists.debian.org, 607879@bugs.debian.org, daniel@debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Wed, 26 Jan 2011 07:43:11 +1000
[Message part 1 (text/plain, inline)]
On Tue, 2011-01-25 at 21:34 +0100, Ronny Standtke wrote:
> > Not sure how I did that, but try this version of patch 3 instead.
> 
> Thanks, building the package works now. Unfortunately, the resulting package 
> is not installable because its dependencies seem to be broken:
[...]

This *is* explained on the page I pointed you at.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Wed, 26 Jan 2011 10:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Wed, 26 Jan 2011 10:09:03 GMT) Full text and rfc822 format available.

Message #150 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: debian-live@lists.debian.org, 607879@bugs.debian.org, daniel@debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Wed, 26 Jan 2011 11:04:10 +0100
> This *is* explained on the page I pointed you at.

Sorry for being a *blind* newbie...

After building the linux-base package I was able to install the patched linux-
image package.

The system I am trying to build with live-build also needs the linux-headers 
package because of some dkms packages. Unfortunately, there is again a 
dependency problem:

------------
# dpkg -i linux-headers-2.6.32-5-686_2.6.32-30a~test_i386.deb 
(Reading database ... 166017 files and directories currently installed.)
Preparing to replace linux-headers-2.6.32-5-686 2.6.32-30a~test (using linux-
headers-2.6.32-5-686_2.6.32-30a~test_i386.deb) ...
Unpacking replacement linux-headers-2.6.32-5-686 ...
dpkg: dependency problems prevent configuration of linux-headers-2.6.32-5-686:
 linux-headers-2.6.32-5-686 depends on linux-headers-2.6.32-5-common (= 
2.6.32-30a~test); however:
  Version of linux-headers-2.6.32-5-common on system is 2.6.32-30.
dpkg: error processing linux-headers-2.6.32-5-686 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-headers-2.6.32-5-686
------------

Unfortunately, I could not find any information about this issue on the page 
you pointet me at. Fortunately, after some trial and error, I successfully 
built a linux-headers-2.6.32-5-common_2.6.32-30a~test package with the 
following two commands:

------------
export UPSTREAMVERSION="2.6.32-5"
fakeroot make -f debian/rules.real binary-arch-featureset
------------

Is this the "right way"?

Best regards

Ronny




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Tue, 08 Feb 2011 07:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Tue, 08 Feb 2011 07:42:05 GMT) Full text and rfc822 format available.

Message #155 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: debian-live@lists.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, 607879@bugs.debian.org, daniel@debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Tue, 8 Feb 2011 08:38:40 +0100
> Fortunately, after some trial and error, I successfully built a 
> linux-headers-2.6.32-5-common_2.6.32-30a~test package with the following two 
> commands:
> 
> ------------
> export UPSTREAMVERSION="2.6.32-5"
> fakeroot make -f debian/rules.real binary-arch-featureset
> ------------
> 
> Is this the "right way"?

To partially answer my own question: No, the resulting package is not useable.

I had to use the following list of commands to build a package that worked for 
me:

------------
export VERSION="2.6.32"
export UPSTREAMVERSION="2.6.32-5"
export KERNEL_ARCH="x86"
fakeroot make -f debian/rules.real binary-arch-featureset
------------

I still would like to know the official and supported way to build the
linux-headers-x.y.z-a-common package. Ben?

The good thing is that the patch series Ben provided seems to fix the problem. 
At least I did no longer run into this bug for more than a week now.

Thanks

Ronny




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 14 Feb 2011 23:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Mon, 14 Feb 2011 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Mon, 14 Feb 2011 23:12:03 GMT) Full text and rfc822 format available.

Message #162 received at 607879@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ronny Standtke <Ronny.Standtke@gmx.net>, 607879@bugs.debian.org
Cc: debian-live@lists.debian.org, daniel@debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Mon, 14 Feb 2011 23:09:52 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2011-02-08 at 08:38 +0100, Ronny Standtke wrote:
> > Fortunately, after some trial and error, I successfully built a 
> > linux-headers-2.6.32-5-common_2.6.32-30a~test package with the following two 
> > commands:
> > 
> > ------------
> > export UPSTREAMVERSION="2.6.32-5"
> > fakeroot make -f debian/rules.real binary-arch-featureset
> > ------------
> > 
> > Is this the "right way"?
> 
> To partially answer my own question: No, the resulting package is not useable.
> 
> I had to use the following list of commands to build a package that worked for 
> me:
> 
> ------------
> export VERSION="2.6.32"
> export UPSTREAMVERSION="2.6.32-5"
> export KERNEL_ARCH="x86"
> fakeroot make -f debian/rules.real binary-arch-featureset
> ------------
> 
> I still would like to know the official and supported way to build the
> linux-headers-x.y.z-a-common package. Ben?

You can use:

    fakeroot make -f debian/rules.gen binary-arch_i386_none

but this is subject to change at any time.  I would not say it is
official or supported.  Anyway, it shouldn't be necessary to rebuild the
header packages as there is no ABI change and the previous version
should be compatible.  Does live-build require an exact version match?

> The good thing is that the patch series Ben provided seems to fix the problem. 
> At least I did no longer run into this bug for more than a week now.

OK, we'll include these changes in an update to squeeze.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org:
Bug#607879; Package linux-2.6. (Tue, 22 Feb 2011 19:42:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, debian-live@lists.debian.org. (Tue, 22 Feb 2011 19:42:18 GMT) Full text and rfc822 format available.

Message #167 received at 607879@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: debian-live@lists.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, 607879@bugs.debian.org, daniel@debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#607879: System hangs up with mmap.c:873!
Date: Tue, 22 Feb 2011 20:40:44 +0100
> Anyway, it shouldn't be necessary to rebuild the header packages as there is 
> no ABI change and the previous version should be compatible.  Does 
> live-build require an exact version match?

As I already said, the package linux-headers-2.6.32-5-686_2.6.32-30a~test 
depends on linux-headers-2.6.32-5-common_2.6.32-30a~test. Therefore we need to 
have the "common" package falling out of the customized kernel package build 
process, too. And therefore I was such a pain in the neck to get an official 
way to build this package...

> OK, we'll include these changes in an update to squeeze.

Great! Thank you very much.

Ronny




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 07 Mar 2011 20:03:36 GMT) Full text and rfc822 format available.

Notification sent to gringo_w@poczta.onet.pl:
Bug acknowledged by developer. (Mon, 07 Mar 2011 20:03:36 GMT) Full text and rfc822 format available.

Message #172 received at 607879-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 607879-close@bugs.debian.org
Subject: Bug#607879: fixed in linux-2.6 2.6.32-31
Date: Mon, 07 Mar 2011 19:59:07 +0000
Source: linux-2.6
Source-Version: 2.6.32-31

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-31_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-31_all.deb
linux-2.6_2.6.32-31.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-31.diff.gz
linux-2.6_2.6.32-31.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-31.dsc
linux-base_2.6.32-31_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-31_all.deb
linux-doc-2.6.32_2.6.32-31_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-31_all.deb
linux-manual-2.6.32_2.6.32-31_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-31_all.deb
linux-patch-debian-2.6.32_2.6.32-31_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-31_all.deb
linux-source-2.6.32_2.6.32-31_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-31_all.deb
linux-support-2.6.32-5_2.6.32-31_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-31_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607879@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 07 Mar 2011 01:54:53 +0000
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all amd64 source
Version: 2.6.32-31
Distribution: stable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 568454 590105 590653 591061 600769 602444 602853 603835 604802 607041 607879 608148 608684 609538 610360 610838 611390 613170 613200 613335 613499 613501 613531 613823 614555 615888 616058
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-31) stable; urgency=low
 .
   [ Ian Campbell ]
   * xen: blkback: fix potential leak of kernel thread. (CVE-2010-3699)
 .
   [ Moritz Muehlenhoff ]
   * rds: Fix rds_iovec page count overflow (CVE-2010-3865)
 .
   [ Ben Hutchings ]
   * tty: Fix information leaks from SIOCGICOUNT handlers (CVE-2010-4075,
     CVE-2010-4076, CVE-2010-4077)
   * bonding: Ensure that we unshare skbs prior to calling pskb_may_pull
     (Closes: #610838)
   * r8169: Keep firmware in memory (Closes: #609538)
   * linux-base: Convert LILO entries for /boot/vmlinuz, /boot/vmlinuz.old
     (Closes: #613200)
   * aufs: Fix VM race leading to kernel panic (Closes: #607879)
   * rt2500usb: Fall back to SW encryption for TKIP+AES (Closes: #611390)
   * Add longterm 2.6.32.29:
     - SCSI: Fix medium error problems with some arrays which can cause
       data corruption
     - ptrace: Use safer wake up on ptrace_detach()
     - [x86] mm: Avoid possible bogus TLB entries by clearing prev
       mm_cpumask after switching mm
     - sched: Fix softirq time accounting
     - sched: Use group weight, idle cpu metrics to fix imbalances during
       idle
     - [openvz,vserver] Revert sched changes since they conflict
   * Revert "USB: Prevent buggy hubs from crashing the USB stack", included
     in longterm 2.6.32.29 and reported to cause a regression
   * virtio_net: Further fixes for out-of-memory conditions (Closes: #603835)
     - Fix OOM handling on TX
     - Add schedule check to napi_enable call
   * af_unix: Limit recursion level of passing sockets through sockets
     (variant of CVE-2010-4249)
   * iowarrior: Don't trust report_size for buffer size (CVE-2010-4656)
   * drm: Fix unsigned vs signed comparison issue in modeset ctl ioctl
     (CVE-2011-1013)
   * brcm80211: Fix suspend/resume in brcmsmac (Closes: #600769, #604802)
   * brcm80211: Fix race between scanning and calibration on SMP
     (Closes: 602444)
   * drm/i915: Overlay on gen2 can't address above 1G
   * drm/i915: Fix memory corruption with GM965 and >4GB RAM
   * ipv6: Silence privacy extensions initialization (Closes: #590653)
   * [x86] Enable VT6656, loading firmware from a separate file (requires
     firmware-linux-nonfree 0.28+squeeze1) (Closes: #568454)
   * usbfs: Show correct speed for SuperSpeed USB devices (Closes: #613531)
   * drm/i915: Add pipe A force quirk for some laptops (Closes: #608148)
   * psmouse/elantech: Fix detection and decoding for newer Elantech
     touchpads (Closes: #613335)
 .
   [ dann frazier ]
   * xfs: Fix information leak using stale NFS handle (CVE-2010-2943)
   * CAN: Use inode instead of kernel address for /proc file (CVE-2010-4565)
 .
   [ maximilian attems]
   * Update openvz patch to feoktistov (ipv6, checkpointing, stability,
     ipsec, nfs, ppp, tc, ve). (closes: #607041, #613501, #613170)
   * HID: add support for Acan FG-8100 barcode reader. (closes: #615888)
   * Add longterm 2.6.32.30:
     - nfsd: Memory corruption due to writing beyond the stat array
     - av7110: check for negative array offset (CVE-2011-0521)
     - cred: Fix get_task_cred() and task_state() to not resurrect dead
       credentials
     - cred: Fix kernel panic upon security_file_alloc() failure
     - cred: Fix BUG() upon security_cred_alloc_blank() failure
     - cred: Fix memory and refcount leaks upon security_prepare_creds()
       failure
     - dm/raid1: Fail writes if errors are not handled and log fails
     - GFS2: Fix bmap allocation corner-case bug
     - [s390] remove task_show_regs (CVE-2011-0710)
     - PM/hibernate: Return error code when alloc_image_page() fails
     - fs/partitions: Validate map_count in Mac partition tables
       (CVE-2011-1010)
     - ALSA: caiaq - Fix possible string-buffer overflow (CVE-2011-0712)
     - acer-wmi, asus_acpi, tc1100-wmi: Restrict write permissions on files
       in procfs/sysfs
     - [x86] usbip/vhci: Update reference count for usb_device
     - [x86] usbip/vhci: Give back URBs from in-flight unlink requests
     - [x86] usbip/vhci: Refuse to enqueue for dead connections
     - epoll: Prevent creating circular epoll structures
     - fs/partitions/ldm: Corrupted partition table can cause kernel oops
     - xhci: Avoid BUG() in interrupt context
     - xhci: Fix errors in the running total calculations in the TRB math
     - xhci: Fix an error in count_sg_trbs_needed()
     - x25: Do not reference freed memory
   * Add longterm 2.6.32.31.
   * Add longterm 2.6.32.32-rc1:
     - netxen: fix set mac addr. (closes: #616058)
     - [xen] do not release any memory under 1M in domain 0. (closes: #613823)
     - virtio: set pci bus master enable bit. (closes: #610360)
     - sctp: Fix oops when sending queued ASCONF chunks (CVE-2010-1173).
     - drm/ttm: Fix two race conditions + fix busy codepaths (closes: #591061)
   * Add Slovak translation by Slavko. (closes: #608684)
   * Add drm changes from 2.6.32.28+drm33.13:
     - drm/i915: Add dependency on CONFIG_TMPFS.
     - drm/i915/lvds: Add AOpen i915GMm-HFS to the list of false-positive LVDS.
     - drm/radeon/kms: add pll debugging output.
     - drm/radeon/kms: add quirk for Mac Radeon HD 2600 card.
     - drm/radeon/kms: fix s/r issues with bios scratch regs.
     - drm/radeon/kms: make the mac rv630 quirk generic.
     - drm/radeon: remove 0x4243 pci id.
 .
   [ Aurelien Jarno ]
   * init: fix race between init and kthreadd, fixes a kernel panic on
     mips/5kc-malta.
   * mips/swarm: enable PATA drivers that have been lost during IDE -> PATA
     conversion.
 .
   [ Martin Michlmayr ]
   * Orion: add support for Buffalo LS-CHL (Closes: #590105).
   * Kirkwood: initialize PCIE1 for QNAP TS-419P+ (Closes: #613499).
 .
   [ Jurij Smakov ]
   * sparc: add sparc-console-handover.patch to address problems with
     console handover on sparc causing kernel to hang during boot on
     systems using atyfb driver.
     Thanks to Fabio M. Di Nitto <fabbione@fabbione.net> for the patch.
     (Closes: #602853)
 .
   [ Bastian Blank ]
   * Add supportt for AMD Family 10h/11h CPU internal temperatur sensor.
     (closes: #614555)
Checksums-Sha1: 
 ba440b0dcfb8e3ecba608e4cea3bfa5acf76cfb9 6969 linux-2.6_2.6.32-31.dsc
 dbabb73fa2dc05ddfddf4182b9ca4db677bdb8a0 14545949 linux-2.6_2.6.32-31.diff.gz
 f1a13a756876c92b6488d0b7bb5515f18ef19012 159524 linux-support-2.6.32-5_2.6.32-31_all.deb
 a7602b6da12abfcc520a86dd66120b4c7ca6d80d 147620 firmware-linux-free_2.6.32-31_all.deb
 da6148241a124682440e613b33345576c23f3b5c 169566 linux-base_2.6.32-31_all.deb
 5ae884ac3cf7774f1bda42b89d9ae44d308eb130 7701932 linux-patch-debian-2.6.32_2.6.32-31_all.deb
 b2932155fd9962ff98cecae045394bc964b0fac9 65054266 linux-source-2.6.32_2.6.32-31_all.deb
 61edeedd18b302bb71984abeaa369a78c4779d92 6054660 linux-doc-2.6.32_2.6.32-31_all.deb
 8d05c2389ec79725198cac2e843e03b61f8737f9 2728422 linux-manual-2.6.32_2.6.32-31_all.deb
Checksums-Sha256: 
 c233469c11d4d2132c88862a472205a0aac277d0fb292f724d2935db8446a7b0 6969 linux-2.6_2.6.32-31.dsc
 21b63e52aee0de85c83cae3ddce206f03d1a3a8b7a322aebaa6f03ac82992e8b 14545949 linux-2.6_2.6.32-31.diff.gz
 af945a91ffbc0db3fe7393763db08cea2ba59cfa848b3da06df3109b6d967806 159524 linux-support-2.6.32-5_2.6.32-31_all.deb
 802539aaa32e582d2a1c18ef5bb88ec9d4fd8c52ad83bd8bb6574522df01e887 147620 firmware-linux-free_2.6.32-31_all.deb
 1d8ff28bf825cf13e55bd955b8304ad228f2e34d2dd2a8f2fade2801fa259537 169566 linux-base_2.6.32-31_all.deb
 5e2a6946d4ce85236d982f30c418b1b8970290ae17556b8ce55659ba1030aacd 7701932 linux-patch-debian-2.6.32_2.6.32-31_all.deb
 da7065e1faa1c6129441e5dfc41969389b93eb5a55754d20f10fd8d22038885b 65054266 linux-source-2.6.32_2.6.32-31_all.deb
 b2fe62debe1aba059d4379363cb502e36349c17f0fb480c97e292528647701fb 6054660 linux-doc-2.6.32_2.6.32-31_all.deb
 511b226a0a6680b9fd265051e11c2336f7cf63c83989d6cd8b84154ee825323f 2728422 linux-manual-2.6.32_2.6.32-31_all.deb
Files: 
 7f1210eabc5a00094a52c1e0fab292b2 6969 kernel optional linux-2.6_2.6.32-31.dsc
 70806b556b2ec290156d6ad4748e0759 14545949 kernel optional linux-2.6_2.6.32-31.diff.gz
 2f13dcac5067aa6516afa3970119109b 159524 devel optional linux-support-2.6.32-5_2.6.32-31_all.deb
 deed6dc3ebb99e4a1675380ccdeecdb7 147620 kernel optional firmware-linux-free_2.6.32-31_all.deb
 4201c29037234c0be60eac54db2e6769 169566 kernel optional linux-base_2.6.32-31_all.deb
 d997377112089b010e605a05124e5e6b 7701932 kernel optional linux-patch-debian-2.6.32_2.6.32-31_all.deb
 3fca2c4170d9cce67bc377feec06d6c7 65054266 kernel optional linux-source-2.6.32_2.6.32-31_all.deb
 4d499f146638422395029f6eb1f116a1 6054660 doc optional linux-doc-2.6.32_2.6.32-31_all.deb
 c2c7798ebfbde7a3762e41b2d1e3ee14 2728422 doc optional linux-manual-2.6.32_2.6.32-31_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTXTb5ue/yOyVhhEJAQqiuA/+OlE0mzEvJMeeMZx5CECfsyWkLMtHfter
loaa3109pqWxdU9WHhD1VnyqAmuSDpQZJgspQnrvaDuPe5LwreJFSTg+kh24rAWL
o4vn6WYsTwf7N6b5QEqz2sjUOzvZbPCW/ioNZKDWEkZJO0M9pZAbv6UxrzJa5Bwr
Gs+qPAXRWRd1fQSipT1CxrB2pYkpZsAcDPlBWtEZdoUQUDhKxq39mqpJ/gMyoo2v
MjOt2eV8f4fatPz7hxZQ6d+gENa2ERqlgQG3u2rH3fncYGLjK/aICW4Vvm9hYcwz
A77r9KS4s9+dcXpOF3cSjcOoNyu2BGrJVV/vB+PYwV7hu1wfR9rW4Gj4qBAybCUF
3Gk1ywybYkKNBG0plzpblZFP0PX+ke+CmPWZ4WsOgsOckLKMDuGXLH4M+hLSLNJ1
qFVrdqJRZnGYwGu5doGTpl3DbiqyLi5IwE3kQbZSXO1bSS33AvgXFdta3J5WE4un
j3qJHJBHFpMYAQ9YB5lVYjVkIPl7/5COf6jlwG3l6sDrDbfgs6a4f71DDbvW/o0m
1LArvSgzmxyzzTuRzlcMv8ZKTXvxZ+Q0TpIK/RqU+42itwgFHVsJAlegIZT2MEiG
/+Pq4D/EF2IOy3nQH4IxtODfJ4T6Ny5zo+JYgXL3HFhhaeVOl7Xww0squr5zwsrm
83poDnDMJBE=
=T7Ti
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jul 2012 07:50:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:03:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.